:root [data-theme = 'orange']{
    --hover-color:#F26522;
}
:root [data-theme = 'green']{
    --hover-color:green;
}
.page-body{
    background-image: url("../images/background.jpg");
    background-size: cover;
    font-family: 'Roboto', sans-serif;
}
.container{
    width: 1028px;
    margin-left: auto;
    margin-right: auto;
}
.theme-changer{
    margin-top: 20px;
    background-color: var(--hover-color);
    color: white;
    text-transform: uppercase;
    border: none;
    border-radius: 5px;
    padding: 5px 15px;
}
.page-header{
    margin-top: 46px;
}
.page-header .container{
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.page-logo{
    display: flex;
    flex-flow: column wrap;
    justify-content: space-between;
    height: 51px;
    text-decoration: none;
    position: relative;
}
.logo-img{
    width: 53px;
    height: 47px;
    margin-right: 8px;
}
.logo-text{
    font-weight: 700;
    font-size: 29px;
    line-height: 29px;
    color: #FFFFFF;
    margin: 0;
}
.logo-text2{
    font-weight: 700;
    font-size: 18px;
    line-height: 18px;
    color: #FFFFFF;
    margin: 0;
    text-transform: uppercase;
}
.header-contacts{
    font-size: 18px;
    line-height: 18px;
    text-align: right;
}
.company-contact{
    text-decoration: none;
    display: block;
    color: #FFFFFF;
}

.company-email{
    margin-bottom: 19px;
}
.company-email:hover,
.company-tel:hover{
    color: var(--hover-color);
}
.logo-img-hover{
    width: 53px;
    height: 47px;
    position: absolute;
    z-index: -1;
    display: none;
}
.page-logo:hover > .logo-text,
.page-logo:hover > .logo-text2
{
    color: var(--hover-color);
}
.page-logo:hover > .logo-img-hover{
    z-index: 1;
    display: block;
}
.page-logo:hover > .logo-img{
   visibility: hidden;
}
.services{
    list-style: none;
    text-align: center;
    margin-top: 17px;
    margin-bottom: 0;
    display: grid;
    grid-template-columns: repeat(3,1fr);
    padding-left: 0;
    column-gap: 60px;
    row-gap: 37px;
}
.service{
    width: 300px;
}
.service-text{
    font-size: 18px;
    line-height: 18px;
    color: #FFFFFF;
    margin-top: 20px;
    margin-bottom: 0;
}
.service-preview{
    position: relative;
    overflow: hidden;
}
.service-details{
    background: var(--hover-color);
    padding: 7px 16px 12px;
    color: #FFFFFF;
    text-align: left;
    position: absolute;
    bottom: -57px;
    width: 100%;
    transition: bottom, 1s;
}
.service-details-text{
    font-size: 10px;
    line-height: 10px;
    margin: 0;
}
.service-details-text1{
    font-size: 20px;
    line-height: 20px;
    margin-top: 8px;
    margin-bottom: 0;
}
.service-details-text2{
    font-size: 14px;
    line-height: 14px;
    margin: 0;
    position: absolute;
    right: 16px;
    bottom: 12px;
}
.service-details-text2::after{
    content: url("../images/Vector.svg");
    margin-left: 16px;
}

.service-link:hover .service-text{
    color: var(--hover-color);
}

.service-link:hover .service-details{
    bottom: 0;
}
.page-footer{
    font-size: 12px;
    line-height: 12px;
    text-align: center;
    color: #FFFFFF;
    margin-top: 49px;
}